<?php
require('fpdf.php');

class PDF extends FPDF{}

// Instanciation of inherited class
$pdf = new PDF('P','mm','A4');											// PDF initialisieren
$pdf->SetTitle('Tuerschild');	                  		// Dokumenteigenschaft Titel
$pdf->SetAuthor('(c) 2009 / Matthias Wulff, Schwindstr. 3, 84453 Mhldorf', 'http://www.m-wulff.de');  
																										// Dokumenteigenschaft Verfasser
$pdf->SetSubject('Tuerschild');											// Dokumenteigenschaft Thema
$pdf->SetKeywords('Tuerschilddruck');								// Dokumenteigenschaft Schlsselwrter
$pdf->AliasNbPages();																// Seitenzhler aktivieren
//$pdf->SetAutoPageBreak(true); 										// Automatischen Seitenumbruch aktivieren (nicht bentigt)
$pdf->SetLeftMargin(5);													  	// Linker Rand
$pdf->SetRightMargin(5);														// Rechter Rand
$pdf->AddPage();																		// Neue Seite erzeugen

// Hauptprogramm

// Post-Werte bernehmen 
$Zeile_1 = $_POST["Zeile_1"];
$Zeile_2 = $_POST["Zeile_2"];

If (strlen($Zeile_2) > 20) {                        // * Variable Gre /Ab 20 kleiner 
  $S1 = 45;                                         // Position Oben
  $S2 = 09;                                         // Zeilen Abstand
  $S3 = 35;                                         // Schriftgre
} else {
  $S1 = 45;                                         // Position Oben
  $S2 = 11;                                         // Zeilen Abstand
  $S3 = 60;                                         // Schriftgre
}

$pic1 = 'logo_absender.jpg';					    					// Firmen Logo des Absenders
$size = Getimagesize($pic1);
$pdf->Image($pic1,5, 4, $size[0] / 720 * 25.4); // Logo in 720 DPI / in Foxit muss die Ausgabe auch eingestellt werden
$pdf->SetXY( 10, 5);                                // Absender
$pdf->SetFont('Arial','',4);
$pdf->Cell(1,1,"Matthias Wulff, Schwindstr. 3, 84453 Mhldorf a. Inn",0,0,'L');  	
   
$pdf->SetXY( 0, $S1 - $S2);
$pdf->SetFont('Times','',$S3); 
$pdf->Cell(210, 50, $Zeile_1,0,0,'C');              // Zeile 2

$pdf->SetXY( 0, $S1 + $S2);
$pdf->SetFont('Times','B',$S3);
$pdf->Cell(210, 50, $Zeile_2,0,0,'C');              // Zeile 2
 
$pdf->Output();
?> 

